## content_extlink

Content Repository : content_extlink

- Overview
- Related Objects
- API

### Overview

External links are references to content pages on other web sites. They provide the basis for maintaining a hierarchy of "bookmarks" that may be managed in a manner analogous to other content items. In particular, external links may be tagged with keywords and related to the site's own content items.

### Related Objects

See also: {content_item }

### API

- Function: content_extlink.is_extlink

  Determines if the item is a extlink

  Author: | Karl Goldstein
  Returns: | 't' if the item is a extlink, 'f' otherwise
  Parameters:

  > item_id: |  | The item id

  Declaration:

      function is_extlink (
        item_id	   in cr_items.item_id%TYPE
      ) return char;

  See Also: | content_extlink.new, content_extlink.resolve

- Function: content_extlink.new

  Create a new extlink, an item pointing to an off-site resource

  Author: | Karl Goldstein
  Returns: | The id of the newly created extlink
  Parameters:

  > name: |  | The name for the new extlink, defaults to the name of the target item
  > url: |  | The URL of the item
  > label: |  | The text label or title of the item
  > description: |  | A brief description of the item
  > parent_id: |  | The parent folder for the extlink. This must actually be a folder and not a generic content item.
  > extlink_id: |  | The id of the new extlink. A new id will be allocated by default
  > creation_date: |  | As in `acs_object.new`
  > creation_ip: |  | As in `acs_object.new`
  > creation_user: |  | As in `acs_object.new`

  Declaration:

      function new (
        name          in cr_items.name%TYPE default null,
        url   	in cr_extlinks.url%TYPE,
        label   	in cr_extlinks.label%TYPE default null,
        description   in cr_extlinks.description%TYPE default null,
        parent_id     in acs_objects.context_id%TYPE,
        extlink_id	in cr_extlinks.extlink_id%TYPE default null,
        creation_date	in acs_objects.creation_date%TYPE
      			   default sysdate,
        creation_user	in acs_objects.creation_user%TYPE
      			   default null,
        creation_ip	in acs_objects.creation_ip%TYPE default null
      ) return cr_extlinks.extlink_id%TYPE;

  See Also: | acs_object.new, content_item.new, content_extlink.resolve

- Procedure: content_extlink.delete

  Deletes the extlink

  Author: | Karl Goldstein
  Parameters:

  > extlink_id: |  | The id of the extlink to delete

  Declaration:

      procedure delete (
        extlink_id	in cr_extlinks.extlink_id%TYPE
      );

  See Also: | content_extlink.new, acs_object.delete

  Last Modified: $Id: extlink.html,v 1.1.1.1 2001/03/13 22:59:26 ben Exp $